import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';

import { AssetIframeComponent } from './components/components/asset/asset-iframe/asset-iframe.component';
import { AssetImageComponent } from './components/components/asset/asset-image/asset-image.component';
import { AssetComponent } from './components/components/asset/asset.component';
import { BlockComponent } from './components/components/block/block.component';
import { HeadingComponent } from './components/components/heading/heading.component';
import { RendererComponent } from './components/components/renderer/renderer.component';
import { RichTextComponent } from './components/components/rich-text/rich-text.component';
import { TableOfContentsComponent } from './components/components/table-of-contents/table-of-contents.component';

const components = [
  AssetComponent,
  AssetImageComponent,
  AssetIframeComponent,
  BlockComponent,
  HeadingComponent,  
  RendererComponent,
  RichTextComponent,
  TableOfContentsComponent,
];

@NgModule({
  declarations: [
    ...components,
  ],
  imports: [
    BrowserModule,
    CommonModule,
  ],
  exports: [
    ...components,
  ]
})
export class NgxNotionModule {}
